/* report.h PUBLIC DOMAIN 2016 */
/* part of dqrs <http:///www.purposeful.co.uk/software/dqrs> */
/*
I, Tom Vajzovic, am the author of this software and its documentation.
I permanently abandon all intellectual property rights in them, including
copyright, trademarks, design rights, database right, patents, and the right
to be identified as the author.

I am fairly certain that the software does what the documentation says it
does, but I do not guarantee that it does, or that it does what you think it
should.  I do not guarantee that it will not have undesirable side effects.

You are free to use, modify and distribute this software as you please, but
you do so at your own risk.  If you do not pass on this warning then you may
be responsible for any problems encountered by those who obtain the software
through you.
*/

#ifndef REPORT_H_INCLUDED
#define REPORT_H_INCLUDED

#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif

size_t push_path (const char *basename);

void pop_path (size_t path_length);

void report (const char *basename, unsigned char mode);

#ifdef __cplusplus
}
#endif

#endif /* REPORT_H_INCLUDED */
